Name:           cclive
Version:        0.7.6
Release:        1%{?dist}
Summary:        Command line video extraction utility

Group:          Applications/Multimedia 
License:        GPLv3+
URL:            http://cclive.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel quvi-devel libcurl-devel pcre-devel chrpath

%description
cclive is a command line video extraction utility similar to clive but with
lower requirements. Its features are few and essential. Supports Youtube,
Googlevideo, Break, Liveleak, Sevenload, Evisortv and Dailymotion.

%prep
%setup -q

%build
%configure

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README 
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Mon Sep 19 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.6-1
- Update to 0.7.6
* Sat Aug 27 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.5.1-1
- Update to 0.7.5.1
* Mon Aug 15 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.5-1
- Update to 0.7.5
* Fri Jul 22 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.4.1-2
- Rebuild for rawhide
* Fri Jun 24 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.4.1-1
- Update to 0.7.4.1
* Mon May  9 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.3.1-3
- Keep using bosst filesystem 2 with boost 1.44 to fix #695078 
* Thu Apr  7 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.3.1-2
- Rebuild for a broken dependancy
* Sun Mar 20 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.3.1-1
- Update to 0.7.3.1
* Sun Mar 13 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.3-1
- Update to 0.7.3
* Mon Feb 14 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.7.2-1
- Update to 0.7.2
* Sun Feb 13 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.6.5-3
- Add an include to compile with new GCC
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Wed Aug 25 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.6.5-1
- Update to 0.6.5
* Fri May  7 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.6.3-1
- Update to 0.6.3
* Mon Mar 29 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.6.2-1
- Update to 0.6.2
- libquvi usage
* Fri Jan 29 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.5.9-1
- Update to 0.5.9
* Thu Jan 21 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.5.8-1
- Update to 0.5.8
* Fri Dec 18 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.5.7-1
- Update to 0.5.7
* Sun Dec  6 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.5.6-1
- Update to 0.5.6
* Sat Nov 28 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.5.5-1
- Update to 0.5.5
* Sat Oct 31 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.5.4-1
- Update to 0.5.4
* Thu Oct  1 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.5.2-1
- Update to 0.5.2
* Sat Sep 19 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.5.1-1
- Update to 0.5.1
* Sun Sep  5 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.5.0-1
- Update to 0.5.0
* Sun Aug 16 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.7-1
- Update to 0.4.7
* Mon Aug  3 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.6-1
- Update to 0.4.6
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Sat Jul 11 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.5-1
- Rebuild for 0.4.5
* Mon Jun 22 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.4-1
- Rebuild for 0.4.4
* Sat May  9 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.2-1
- Rebuild for 0.4.2
* Wed May  6 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.1-1
- Rebuild for 0.4.1
* Mon Apr 20 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.3.2-2
- URL fix
- Preserve timestamps
- Remove INSTALL file from doc section
* Sun Apr 19 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.3.2-1
- Rebuild for 0.3.2
* Sun Apr  5 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.3.1-1
- Initial build

